summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-config/config.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-08-09 21:58:18 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-08-09 21:58:18 (GMT)
commitaf02ac9e699ac0b9d5802d99fdb069859fef6c0a (patch)
treef670bde0f071073446dae29e48e92551c4814969 /abs/core/LinHES-config/config.install
parent76fe2cf619aa0c9b20d5d31a5e122a6ff76c6de9 (diff)
downloadlinhes_pkgbuild-af02ac9e699ac0b9d5802d99fdb069859fef6c0a.zip
linhes_pkgbuild-af02ac9e699ac0b9d5802d99fdb069859fef6c0a.tar.gz
linhes_pkgbuild-af02ac9e699ac0b9d5802d99fdb069859fef6c0a.tar.bz2
linhes-config: changed sudo rules for post install, added sudo to list of depends
Diffstat (limited to 'abs/core/LinHES-config/config.install')
-rw-r--r--abs/core/LinHES-config/config.install63
1 files changed, 63 insertions, 0 deletions
diff --git a/abs/core/LinHES-config/config.install b/abs/core/LinHES-config/config.install
new file mode 100644
index 0000000..fb905fb
--- /dev/null
+++ b/abs/core/LinHES-config/config.install
@@ -0,0 +1,63 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+ rm -f /etc/issue
+ rm -f /etc/arch-release
+
+}
+
+# arg 1: the new package version
+post_install() {
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ /bin/true
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ . /etc/profile
+ ps -ef|grep mysqld|grep -v grep
+ status=$?
+ echo "status $status"
+ if [ $status = 0 ]
+ then
+ restore_default_settings.sh -c load
+ fi
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+ cat /etc/LinHES-release > /etc/os_myth_release
+
+ if [ ! -f /usr/share/mythtv/config.xml ]
+ then
+ echo "config.xml not found, generating a new one"
+ /usr/MythVantage/bin/systemconfig.py -m hostype
+ fi
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*